petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOPetscToApplicationPermuteReal

Permutes an array of blocks of reals in the PETSc ordering to the application-defined ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOPetscToApplicationPermuteReal(AO ao, PetscInt block, PetscReal array[])

Collective on AO

### Input Parameters

| ao | - The application ordering context
| block | - The block size
| array | - The integer array

### Output Parameter

array -The permuted array

Note: The length of the array should be block*N, where N is length provided to the AOCreate*() method that created the AO.

The permutation takes array[i_pet] --> array[i_app], where i_app is the index of 'i' in the application ordering and i_pet is the index of 'i' in the petsc ordering.

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(), AOApplicationToPetsc(), AOPetscToApplicationIS()

### Level

beginner

### Location

src/vec/is/ao/interface/ao.c

### Implementations

AOPetscToApplicationPermuteReal_Basic in src/vec/is/ao/impls/basic/aobasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages